Page MenuHomePhabricator

Remove deprecated ways to call WikiPage::doDeleteArticleReal
Closed, ResolvedPublic

Description

3 methods that proxy it, all hard deprecated in 1.35, to be removed:

  • WikiPage::doDeleteArticle
  • Article::doDeleteArticle
  • Article::doDeleteArticleReal

Old signature, hard deprecated in 1.35, to be removed

Event Timeline

DannyS712 changed the task status from Open to Stalled.Mar 25 2020, 8:10 PM
DannyS712 triaged this task as Medium priority.
DannyS712 created this task.
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.

Cannot be removed until 1.36

Heads up: some github repos need to be updated:

DannyS712 renamed this task from Remove deprecated proxies for WikiPage::doDeleteArticleReal to Remove deprecated ways to call WikiPage::doDeleteArticleReal.Mar 31 2020, 4:12 AM
DannyS712 updated the task description. (Show Details)
DannyS712 moved this task from Next to Later on the User-DannyS712 board.Apr 13 2020, 9:14 PM

This task looks as not actual

This task looks as not actual

I'm afraid I'm not sure what you mean

DannyS712 changed the task status from Stalled to Open.Jul 14 2020, 9:51 AM

Change 626427 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Remove deprecated ways to call WikiPage::doDeleteArticleReal

https://gerrit.wikimedia.org/r/626427

Izno added a subscriber: Izno.Sep 10 2020, 6:38 PM

Change 626427 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Remove deprecated ways to call WikiPage::doDeleteArticleReal

https://gerrit.wikimedia.org/r/626427

Just a minor catch that has been there a while, but

  • Multiple methods previously had optional User parameters, with fallbacks

to the $wgUser global variable. Not passing a User to those methods was
previously hard deprecated, and support for now passing a User has now
been removed:

has a line:

and support for nownot passing a User has now
been removed:

with a typo.

DannyS712 added a comment.EditedSep 10 2020, 6:39 PM

Change 626427 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Remove deprecated ways to call WikiPage::doDeleteArticleReal

https://gerrit.wikimedia.org/r/626427

Just a minor catch that has been there a while, but

  • Multiple methods previously had optional User parameters, with fallbacks

to the $wgUser global variable. Not passing a User to those methods was
previously hard deprecated, and support for now passing a User has now
been removed:

has a line:

and support for nownot passing a User has now
been removed:

with a typo.

{{done}}

Change 626427 merged by jenkins-bot:
[mediawiki/core@master] Remove deprecated ways to call WikiPage::doDeleteArticleReal

https://gerrit.wikimedia.org/r/626427

DannyS712 closed this task as Resolved.Sep 10 2020, 9:17 PM